Loading...
Searching...
No Matches
Catch::is_callable_tester Struct Reference

`#include <catch_amalgamated.hpp>`

## Static Public Member Functions

template<typename Fun, typename... Args>
static true_given< decltype(std::declval< Fun >()(std::declval< Args >()...))> | test (int)
template<typename...>
static std::false_type | test (...)

## Member Function Documentation

## test() [1/2]

template<typename...>

static std::false_type Catch::is_callable_tester::test | ( |  | ... | ) |

static

## test() [2/2]

template<typename Fun, typename... Args>

static true_given< decltype(std::declval< Fun >()(std::declval< Args >()...))> Catch::is_callable_tester::test | ( | int |  | ) |

static

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp